CVE-2019-5785

NameCVE-2019-5785
DescriptionIncorrect convexity calculations in Skia in Google Chrome prior to 72.0.3626.81 allowed a remote attacker to perform an out of bounds memory write via a crafted HTML page.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1677-1, DLA-1678-1, DSA-4391-1, DSA-4392-1
NVD severitymedium
Debian Bugs818180

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firefox (PTS)sid71.0-2fixed
firefox-esr (PTS)jessie52.8.1esr-1~deb8u1vulnerable
jessie (security)68.3.0esr-1~deb8u1fixed
stretch60.7.1esr-1~deb9u1fixed
stretch (security)68.3.0esr-1~deb9u1fixed
buster68.2.0esr-1~deb10u1fixed
buster (security)68.3.0esr-1~deb10u1fixed
bullseye68.2.0esr-1fixed
sid68.3.0esr-1fixed
thunderbird (PTS)jessie1:52.8.0-1~deb8u1vulnerable
jessie (security)1:68.2.2-1~deb8u1fixed
stretch1:60.8.0-1~deb9u1fixed
stretch (security)1:68.3.0-2~deb9u1fixed
buster1:60.9.0-1~deb10u1fixed
buster (security)1:68.3.0-2~deb10u1fixed
bullseye1:60.9.0-1fixed
sid1:68.3.0-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firefoxsource(unstable)65.0.1-1
firefox-esrsource(unstable)60.5.1esr-1
firefox-esrsourcejessie60.5.1esr-1~deb8u1DLA-1677-1
firefox-esrsourcestretch60.5.1esr-1~deb9u1DSA-4391-1
skiaITP818180
thunderbirdsource(unstable)1:60.5.1-1
thunderbirdsourcejessie1:60.5.1-1~deb8u1DLA-1678-1
thunderbirdsourcestretch1:60.5.1-1~deb9u1DSA-4392-1

Notes

https://www.mozilla.org/en-US/security/advisories/mfsa2019-04/#CVE-2019-5785
https://www.mozilla.org/en-US/security/advisories/mfsa2019-05/#CVE-2019-5785
https://www.mozilla.org/en-US/security/advisories/mfsa2019-06/#CVE-2019-5785

Search for package or bug name: Reporting problems